<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: MPU6050.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">MPU6050.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef MAIN_MPU6050_H_</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define MAIN_MPU6050_H_</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;math.h&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;I2C.h&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;driver/gpio.h&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classMPU6050.html">   18</a></span>&#160;<span class="keyword">class </span><a class="code" href="classMPU6050.html">MPU6050</a> {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <a class="code" href="classMPU6050.html#a7c0146d45537e4bd7a0d4c1c476fdab7">MPU6050</a>();</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classMPU6050.html#a409a2158e89617da2d44c5f6ad93f388">~MPU6050</a>();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classMPU6050.html#af173b8a978794d3e5586d828fc15f016">   26</a></span>&#160;    <span class="keywordtype">short</span> <a class="code" href="classMPU6050.html#af173b8a978794d3e5586d828fc15f016">getAccelX</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keywordflow">return</span> accel_x;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    }</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classMPU6050.html#a1990ec4720e8c138e861fff892893de5">   33</a></span>&#160;    <span class="keywordtype">short</span> <a class="code" href="classMPU6050.html#a1990ec4720e8c138e861fff892893de5">getAccelY</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="keywordflow">return</span> accel_y;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    }</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classMPU6050.html#ad060cf867a99f9d529cdee6bf849e767">   40</a></span>&#160;    <span class="keywordtype">short</span> <a class="code" href="classMPU6050.html#ad060cf867a99f9d529cdee6bf849e767">getAccelZ</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keywordflow">return</span> accel_z;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    }</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classMPU6050.html#aab4b804199502c66690299271f4409aa">   47</a></span>&#160;    <span class="keywordtype">short</span> <a class="code" href="classMPU6050.html#aab4b804199502c66690299271f4409aa">getGyroX</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keywordflow">return</span> gyro_x;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    }</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classMPU6050.html#a9b04cec99150129e5c6c430b98f6f69d">   54</a></span>&#160;    <span class="keywordtype">short</span> <a class="code" href="classMPU6050.html#a9b04cec99150129e5c6c430b98f6f69d">getGyroY</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordflow">return</span> gyro_y;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    }</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classMPU6050.html#af4ac58031f862c260c7b8c9bd18db00b">   61</a></span>&#160;    <span class="keywordtype">short</span> <a class="code" href="classMPU6050.html#af4ac58031f862c260c7b8c9bd18db00b">getGyroZ</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <span class="keywordflow">return</span> gyro_z;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classMPU6050.html#a024dfc449b29fb0adac8455950b1010d">   73</a></span>&#160;    uint32_t <a class="code" href="classMPU6050.html#a024dfc449b29fb0adac8455950b1010d">getMagnitude</a>() {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">return</span> sqrt(accel_x * accel_x + accel_y * accel_y + accel_z * accel_z);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMPU6050.html#a5913e4a643511aae3c8a7f407cac86e4">init</a>(gpio_num_t sdaPin = <a class="code" href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a>, gpio_num_t clkPin = <a class="code" href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a>);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMPU6050.html#ad4e58ad436a52f96e7172e7081fe9afb">readAccel</a>();</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMPU6050.html#a2514ae2158f5b87c8267242077ddd0ec">readGyro</a>();</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <a class="code" href="classI2C.html">I2C</a>* i2c;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">short</span> accel_x, accel_y, accel_z;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">short</span> gyro_x, gyro_y, gyro_z;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">bool</span> inited;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;};</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* MAIN_MPU6050_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classMPU6050_html_a5913e4a643511aae3c8a7f407cac86e4"><div class="ttname"><a href="classMPU6050.html#a5913e4a643511aae3c8a7f407cac86e4">MPU6050::init</a></div><div class="ttdeci">void init(gpio_num_t sdaPin=I2C::DEFAULT_SDA_PIN, gpio_num_t clkPin=I2C::DEFAULT_CLK_PIN)</div><div class="ttdoc">Initialize the MPU6050.</div><div class="ttdef"><b>Definition:</b> MPU6050.cpp:87</div></div>
<div class="ttc" id="classMPU6050_html_a9b04cec99150129e5c6c430b98f6f69d"><div class="ttname"><a href="classMPU6050.html#a9b04cec99150129e5c6c430b98f6f69d">MPU6050::getGyroY</a></div><div class="ttdeci">short getGyroY() const</div><div class="ttdoc">Get the Y gyroscopic value.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:54</div></div>
<div class="ttc" id="classI2C_html_a4d371d14b0fcae3b20f22ee8254536b8"><div class="ttname"><a href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a></div><div class="ttdeci">static const gpio_num_t DEFAULT_SDA_PIN</div><div class="ttdoc">The default SDA pin.</div><div class="ttdef"><b>Definition:</b> I2C.h:24</div></div>
<div class="ttc" id="classMPU6050_html_ad060cf867a99f9d529cdee6bf849e767"><div class="ttname"><a href="classMPU6050.html#ad060cf867a99f9d529cdee6bf849e767">MPU6050::getAccelZ</a></div><div class="ttdeci">short getAccelZ() const</div><div class="ttdoc">Get the Z acceleration value.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:40</div></div>
<div class="ttc" id="classMPU6050_html_aab4b804199502c66690299271f4409aa"><div class="ttname"><a href="classMPU6050.html#aab4b804199502c66690299271f4409aa">MPU6050::getGyroX</a></div><div class="ttdeci">short getGyroX() const</div><div class="ttdoc">Get the X gyroscopic value.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:47</div></div>
<div class="ttc" id="classMPU6050_html_af173b8a978794d3e5586d828fc15f016"><div class="ttname"><a href="classMPU6050.html#af173b8a978794d3e5586d828fc15f016">MPU6050::getAccelX</a></div><div class="ttdeci">short getAccelX() const</div><div class="ttdoc">Get the X acceleration value.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:26</div></div>
<div class="ttc" id="classMPU6050_html"><div class="ttname"><a href="classMPU6050.html">MPU6050</a></div><div class="ttdoc">Driver for the MPU6050 accelerometer and gyroscope.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:18</div></div>
<div class="ttc" id="classI2C_html_aece11572688a31925150176f2241e956"><div class="ttname"><a href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a></div><div class="ttdeci">static const gpio_num_t DEFAULT_CLK_PIN</div><div class="ttdoc">The default Clock pin.</div><div class="ttdef"><b>Definition:</b> I2C.h:29</div></div>
<div class="ttc" id="classMPU6050_html_af4ac58031f862c260c7b8c9bd18db00b"><div class="ttname"><a href="classMPU6050.html#af4ac58031f862c260c7b8c9bd18db00b">MPU6050::getGyroZ</a></div><div class="ttdeci">short getGyroZ() const</div><div class="ttdoc">Get the Z gyroscopic value.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:61</div></div>
<div class="ttc" id="classMPU6050_html_ad4e58ad436a52f96e7172e7081fe9afb"><div class="ttname"><a href="classMPU6050.html#ad4e58ad436a52f96e7172e7081fe9afb">MPU6050::readAccel</a></div><div class="ttdeci">void readAccel()</div><div class="ttdoc">Read the acceleration value from the device.</div><div class="ttdef"><b>Definition:</b> MPU6050.cpp:38</div></div>
<div class="ttc" id="classMPU6050_html_a1990ec4720e8c138e861fff892893de5"><div class="ttname"><a href="classMPU6050.html#a1990ec4720e8c138e861fff892893de5">MPU6050::getAccelY</a></div><div class="ttdeci">short getAccelY() const</div><div class="ttdoc">Get the Y acceleration value.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:33</div></div>
<div class="ttc" id="classI2C_html"><div class="ttname"><a href="classI2C.html">I2C</a></div><div class="ttdoc">Interface to I2C functions.</div><div class="ttdef"><b>Definition:</b> I2C.h:19</div></div>
<div class="ttc" id="classMPU6050_html_a024dfc449b29fb0adac8455950b1010d"><div class="ttname"><a href="classMPU6050.html#a024dfc449b29fb0adac8455950b1010d">MPU6050::getMagnitude</a></div><div class="ttdeci">uint32_t getMagnitude()</div><div class="ttdoc">Get the magnitude of the acceleration.</div><div class="ttdef"><b>Definition:</b> MPU6050.h:73</div></div>
<div class="ttc" id="classMPU6050_html_a409a2158e89617da2d44c5f6ad93f388"><div class="ttname"><a href="classMPU6050.html#a409a2158e89617da2d44c5f6ad93f388">MPU6050::~MPU6050</a></div><div class="ttdeci">virtual ~MPU6050()</div><div class="ttdoc">Destory the class instance.</div><div class="ttdef"><b>Definition:</b> MPU6050.cpp:27</div></div>
<div class="ttc" id="classMPU6050_html_a7c0146d45537e4bd7a0d4c1c476fdab7"><div class="ttname"><a href="classMPU6050.html#a7c0146d45537e4bd7a0d4c1c476fdab7">MPU6050::MPU6050</a></div><div class="ttdeci">MPU6050()</div><div class="ttdoc">Construct an MPU6050 handler.</div><div class="ttdef"><b>Definition:</b> MPU6050.cpp:16</div></div>
<div class="ttc" id="classMPU6050_html_a2514ae2158f5b87c8267242077ddd0ec"><div class="ttname"><a href="classMPU6050.html#a2514ae2158f5b87c8267242077ddd0ec">MPU6050::readGyro</a></div><div class="ttdeci">void readGyro()</div><div class="ttdoc">Read the gyroscopic values from the device.</div><div class="ttdef"><b>Definition:</b> MPU6050.cpp:62</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
